using System.Collections.Generic;
using System.Linq;
using Newtonsoft.Json;

namespace Model.Entity.Data;

public partial class EntityData
{
    public static string AsJson()
    {
        var json = JsonConvert.SerializeObject(Get(), Formatting.Indented);
        return json;
    }

    public static Dictionary<string, EntityModel> Get()
    {
        return GetResearchData()
            .Concat(GetArmyData())
            .Concat(GetAbilityData())
            .Concat(GetMiscData())
            .Concat(GetImmortalData())
            .Concat(GetBuildingData())
            .Concat(GetPassiveData())
            .ToDictionary();
    }
}